2025-10-05  Bruno Haible  <bruno@clisp.org>

	Prepare for 1.4.1 release.
	* version.sh: Bump version number, date, gnulib version.
	* README: Update version.
	* NEWS: Update.

2025-09-27  Bruno Haible  <bruno@clisp.org>

	Prepare for 1.4 release.
	* version.sh: Bump version number, date, gnulib version.
	* README: Update version.
	* lib/Makefile.am (LTV_*): Update to 7:1:2 (determined with help from
	libtool-next-version).

2025-09-26  Bruno Haible  <bruno@clisp.org>

	Update to Unicode version 17.0.0.
	* NEWS: Mention it.
	* doc/unictype.texi (UC_JOINING_GROUP_THIN_NOON): New variable.

2025-09-13  Bruno Haible  <bruno@clisp.org>

	Update gitsub.sh.
	* gitsub.sh: Update from gnulib.

2025-09-06  Bruno Haible  <bruno@clisp.org>

	Update gitsub.sh.
	* gitsub.sh: Update from gnulib.

2025-09-04  Bruno Haible  <bruno@clisp.org>

	Update after gnulib changed.
	* tests/Makefile.am (AM_CFLAGS): Initialize.

2025-08-09  Bruno Haible  <bruno@clisp.org>

	build: Avoid an autogen.sh failure.
	* autogen.sh: Ignore error from patching test-driver.diff.

2025-08-05  Bruno Haible  <bruno@clisp.org>

	build: Make the ChangeLog generation in VPATH builds.
	* Makefile.am (gen-ChangeLog): Test for '.git/' in $(srcdir). Pass a --srcdir
	option to gitlog-to-changelog.

2025-08-05  Bruno Haible  <bruno@clisp.org>

	INSTALL: Tweak wording.
	* INSTALL: Fix a copy-and-paste mistake.

2025-08-05  Bruno Haible  <bruno@clisp.org>

	build: Make autogen.sh more reliable.
	* autogen.sh: Fail if gnulib-tool fails. Fail if any of the autotools program
	invocations fails.

2025-08-05  Bruno Haible  <bruno@clisp.org>

	COPYING: Update from the FSF.
	* COPYING: Copied from gnulib/doc/COPYINGv3.

2025-06-14  Bruno Haible  <bruno@clisp.org>

	Fix copyright and license header in new files of last commit.

2025-06-10  Bruno Haible  <bruno@clisp.org>

	build: Implement 'installcheck' target.
	* install-tests/test-version.c: New file.
	* install-tests/test-api.c: New file.
	* install-tests/Makefile.am: New file.
	* configure.ac (AUGMENT_SHLIBPATH): New variable.
	(AC_CONFIG_FILES): Add install-tests/Makefile.
	* Makefile.am (SUBDIRS): Add install-tests.

2025-06-07  Bruno Haible  <bruno@clisp.org>

	Sync woe32dll/export.h with GNU libiconv and GNU gettext.
	* woe32dll/export.h: Update comments.

2025-06-05  Bruno Haible  <bruno@clisp.org>

	build: Fix build error on MSVC with --enable-shared.
	* autogen.sh (GNULIB_MODULES): Add test-xfail.
	Avoid the float-h-tests, since they reference the variables gl_FLT_SNAN,
	gl_DBL_SNAN, gl_LDBL_SNAN.
	* lib/Makefile.am (libunistring_la_LDFLAGS): On MSVC, don't pass the option
	--export-all-symbols to the linker.
	* gnulib-m4/gnulib-cache.m4: Regenerated.

2025-06-05  Bruno Haible  <bruno@clisp.org>

	Update to the newest gnulib.
	* version.sh: Update.

2025-05-31  Bruno Haible  <bruno@clisp.org>

	build: Mark automake 1.18 as supported.
	* autogen.sh: Update comment.

2025-05-19  Bruno Haible  <bruno@clisp.org>

	Update NEWS.
	* NEWS: Mention the unigbrk bug fix done in gnulib on 2025-05-18.

2025-04-16  Bruno Haible  <bruno@clisp.org>

	Update after gnulib changed.
	* gitsub.sh: Update from gnulib.

2025-02-09  Bruno Haible  <bruno@clisp.org>

	doc: Fix return type of u*_grapheme_next and u*_grapheme_prev functions.
	Reported by Kang-Che Sung <explorer09@gmail.com> in
	<https://lists.gnu.org/archive/html/bug-libunistring/2025-02/msg00000.html>.

	* doc/libunistring.texi: Bump copyright year.
	* doc/unigbrk.texi: Fix return type of u*_grapheme_next and u*_grapheme_prev.

2025-02-04  Bruno Haible  <bruno@clisp.org>

	Update after gnulib changed.
	* lib/Makefile.am (config.h): Remove leading part of the elements of
	$(libunistring_la_LIBADD).

2025-01-25  Bruno Haible  <bruno@clisp.org>

	Update after gnulib changed.
	* configure.ac: Invoke gl_INIT_PACKAGE_VERSION instead of gl_INIT_PACKAGE.

2025-01-22  Bruno Haible  <bruno@clisp.org>

	Update after gnulib changed.
	* m4/init-package-version.m4: Remove file, moved to gnulib.
	* autogen.sh (GNULIB_MODULES): Add package-version.

2024-12-28  Bruno Haible  <bruno@clisp.org>

	Update after gnulib changed.
	* autogen.sh (GNULIB_MODULES): Use the new names of renamed gnulib modules.

2024-11-27  Bruno Haible  <bruno@clisp.org>

	Add installation information for the tarball users and from a git checkout.
	We want to have an INSTALL file that contains installation instructions for
	the tarball users. These instructions are necessarily package specific,
	because they need to list the prerequisites or reference the DEPENDENCIES
	file.

	Additionally, many people who are not aware that tarballs are the primary
	means for source code distribution of GNU packages check out the git repository
	and then expect to see instructions for installing from that git checkout
	in the INSTALL file. See e.g. <https://savannah.gnu.org/bugs/?62196>.

	Unfortunately, both Automake (with strictness option = 'gnu') and 'bootstrap'
	both contain code to copy the generic (not package specific) installation
	instructions to the file 'INSTALL'. This is not what we want, so we disable
	it. (Other packages handle this issue by putting part of the installation
	instructions into the README file. This is suboptimal, because this is not
	what the README file is for.)

	* autogen.sh: Import INSTALL.generic from gnulib.
	* INSTALL: Entirely rewritten, based on poke/INSTALL.
	* Makefile.am (EXTRA_DIST): Add INSTALL.generic.

2024-11-22  Bruno Haible  <bruno@clisp.org>

	Upgrade to libtool 2.5.4.
	* m4/libtool.m4: Update from libtool-2.5.4.
	* m4/ltversion.m4: Likewise.
	* build-aux/ltmain.sh: Likewise.

2024-11-07  Bruno Haible  <bruno@clisp.org>

	doc: Update the GFDL text.
	* doc/fdl.texi: Update from gnulib/doc/fdl-1.3.texi.

2024-10-28  Bruno Haible  <bruno@clisp.org>

	doc: Improve usability of generated PDF.
	* doc/libunistring.texi: Use a brown colour for interactive links.

2024-10-16  Bruno Haible  <bruno@clisp.org>

	Prepare for 1.3 release.
	* version.sh: Bump version number, date, gnulib version.
	* README: Update version.
	* lib/Makefile.am (LTV_*): Update to 7:0:2 (determined with help from
	gnulib's libtool-next-version).

2024-10-16  Bruno Haible  <bruno@clisp.org>

	Assume the target system has <stdbool.h>.
	* gnulib-local/lib/unistr.in.h.diff: Simplify.
	* gnulib-local/lib/unicase.in.h.diff: Remove file.
	* gnulib-local/lib/unictype.in.h.diff: Remove file.
	* gnulib-local/lib/unigbrk.in.h.diff: Remove file.
	* gnulib-local/Makefile.am (EXTRA_DIST): Remove them.
	* lib/stdbool.mini.h: Remove file.
	* lib/Makefile.am (nobase_nodist_include_HEADERS): Remove unistring/stdbool.h.
	(unistring/stdbool.h): Remove rule.
	(BUILT_SOURCES, MOSTLYCLEANFILES, CLEANFILES, EXTRA_DIST): Update.

2024-10-16  Bruno Haible  <bruno@clisp.org>

	Fix list of exports on Windows platforms.
	* woe32dll/unistring-exports.c (UC_PROPERTY_ID_COMPAT_MATH_START,
	UC_PROPERTY_ID_COMPAT_MATH_CONTINUE, UC_PROPERTY_IDS_UNARY_OPERATOR): Add,
	missing since 2024-01-31.
	(UC_PROPERTY_PREPENDED_CONCATENATION_MARK): Add, missing since 2024-02-12.
	(UC_PROPERTY_MODIFIER_COMBINING_MARK): Add, missing since 2024-09-13.

2024-10-16  Bruno Haible  <bruno@clisp.org>

	Work around a libtool bug.
	Reported at <https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73737>.

	* m4/libtool.m4: Protect access to $multilib.

2024-09-26  Bruno Haible  <bruno@clisp.org>

	Upgrade to libtool 2.5.3.
	* m4/libtool.m4: Update from libtool-2.5.3.
	* m4/ltoptions.m4: Likewise.
	* m4/ltsugar.m4: Likewise.
	* m4/ltversion.m4: Likewise.
	* m4/lt~obsolete.m4: Likewise.
	* build-aux/ltmain.sh: Likewise.

2024-09-13  Bruno Haible  <bruno@clisp.org>

	Update to Unicode 16.0.0.
	* gnulib-m4/gnulib-cache.m4: Regenerated.
	* doc/unictype.texi (Joining group): Document UC_JOINING_GROUP_KASHMIRI_YEH.
	(Properties as objects): Document UC_PROPERTY_MODIFIER_COMBINING_MARK.
	(Properties as functions): Document uc_is_property_modifier_combining_mark.
	* NEWS: Mention the changes.

2024-09-01  Bruno Haible  <bruno@clisp.org>

	Replace FSF snail-mail addresses with URLs.
	* build-aux/texi2html: Update GPL license notice.

2024-08-24  Bruno Haible  <bruno@clisp.org>

	Fix shared library support in 32-bit mode on FreeBSD/powerpc64.
	Patch from <https://savannah.gnu.org/patch/index.php?10469>.

	* m4/libtool.m4: On FreeBSD, fix shlibpath_var.

2024-07-12  Bruno Haible  <bruno@clisp.org>

	Switch to autoconf 2.72, automake 1.17.
	* autogen.sh: Update comments.

2024-06-20  Bruno Haible  <bruno@clisp.org>

	Update NEWS.
	* NEWS: Mention the u*_*printf fix, done in gnulib on 2024-06-18.

2024-06-10  Bruno Haible  <bruno@clisp.org>

	Update HACKING.
	* HACKING: Mention the multi-platform continuous integration.

2024-06-05  Bruno Haible  <bruno@clisp.org>

	Update DEPENDENCIES.
	* DEPENDENCIES: libiconv is needed again on macOS 14. Mention win-iconv as an
	alternative.

2024-04-04  Bruno Haible  <bruno@clisp.org>

	Fix macro file 'serial' numbers for 'aclocal --install'.
	* m4/exported.m4: Make 'serial' effective.
	* m4/init-package-version.m4: Likewise.
	* m4/woe32-dll.m4: Likewise.

2024-02-24  Bruno Haible  <bruno@clisp.org>

	Add a list of manual steps for making a release.

2024-02-24  Bruno Haible  <bruno@clisp.org>

	Prepare for 1.2 release.
	* version.sh: Bump version number, date, gnulib version.
	* README: Update version.
	* lib/Makefile.am (LTV_*): Update to 6:0:1 (determined with help from
	gnulib's libtool-next-version).

2024-02-24  Bruno Haible  <bruno@clisp.org>

	Generate the ChangeLog from the git history.
	* autogen.sh (GNULIB_MODULES): Add gitlog-to-changelog.
	* build-aux/git-log-fix: New file, from GNU coreutils.
	* Makefile.am (EXTRA_DIST): Add it.
	(dist-hook, gen-ChangeLog): New rules.
	* ChangeLog.0: New file, moved here from ChangeLog, with a few added entries
	for 2023.
	* ChangeLog: New empty file.
	* .gitattributes: Remove file.

2024-02-24  Bruno Haible  <bruno@clisp.org>

	Update NEWS.
	* NEWS: Mention the uN_strstr improvement, done in gnulib on 2023-04-02.

2024-02-23  Bruno Haible  <bruno@clisp.org>

	Improve doc.
	Reported by Pádraig Brady <P@draigBrady.com>
	in <https://lists.gnu.org/archive/html/bug-libunistring/2019-02/msg00000.html>.

	* doc/unistr.texi (Comparing NUL terminated Unicode strings): Clarify that
	uN_strcmp ignores locale collation rules.
	* doc/unicase.texi: Fix typos.
	(Case insensitive comparison): Clarify that uN_casecmp ignores locale collation
	rules.

2024-02-23  Bruno Haible  <bruno@clisp.org>

	Improve doc.
	Reported by Nikos Mavrogiannopoulos <n.mavrogiannopoulos@gmail.com>
	in <https://lists.gnu.org/archive/html/bug-libunistring/2016-11/msg00000.html>.

	* doc/libunistring.texi (Conventions): Explain the (resultbuf, lengthp) return
	value convention from the user's point of view.

2024-02-23  Bruno Haible  <bruno@clisp.org>

	Clarify documentation of uc_mirror_char, part 2.
	* doc/unictype.texi (Mirrored character): Explain which characters
	are affected.

2024-02-23  Bruno Haible  <bruno@clisp.org>

	Clarify documentation of uc_mirror_char.
	Reported by Daurnimator <quae@daurnimator.com>
	at <https://lists.gnu.org/archive/html/bug-libunistring/2016-11/msg00004.html>.

	* doc/unictype.texi (Mirrored character): Explain the surprising
	behaviour.

2024-02-23  Bruno Haible  <bruno@clisp.org>

	Document that in format strings, the %n directive is no longer supported.
	* doc/unistdio.texi: Mention that %n is not supported.
	* NEWS: Mention the change.

2024-02-21  Bruno Haible  <bruno@clisp.org>

	Update after gnulib changed.

2024-02-21  Bruno Haible  <bruno@clisp.org>

	Autogenerate the implementation of _libunistring_unicode_version.
	* autogen.sh (GNULIB_MODULES): Add unimetadata/base, unimetadata/u-version.
	* lib/Makefile.am (nodist_include_HEADERS): Add unimetadata.h.
	(HEADERS_WITH_EXTERNS): Add unimetadata.h.
	* lib/unistring/version.in.h: Include unimetadata.h.
	(_libunistring_unicode_version): Remove declaration.
	* lib/version.c: Undo last change.
	* woe32dll/unistring-exports.c: Update comments.

2024-02-12  Bruno Haible  <bruno@clisp.org>

	New property Prepended_Concatenation_Mark.
	* doc/unictype.texi (Properties as objects): Document
	UC_PROPERTY_PREPENDED_CONCATENATION_MARK.
	(Properties as functions): Document uc_is_property_prepended_concatenation_mark.
	* NEWS: Mention them.

2024-01-31  Bruno Haible  <bruno@clisp.org>

	New properties ID_Compat_Math_Continue ID_Compat_Math_Start IDS_Unary_Operator.
	* doc/unictype.texi (Properties as objects): Document
	UC_PROPERTY_ID_COMPAT_MATH_START, UC_PROPERTY_ID_COMPAT_MATH_CONTINUE,
	UC_PROPERTY_IDS_UNARY_OPERATOR.
	(Properties as functions): Document uc_is_property_id_compat_math_start,
	uc_is_property_id_compat_math_continue, uc_is_property_ids_unary_operator.
	* NEWS: Mention them.

2024-01-30  Bruno Haible  <bruno@clisp.org>

	Update .gitignore.

2024-01-30  Bruno Haible  <bruno@clisp.org>

	Update to Unicode 15.1.0.
	* autogen.sh (GNULIB_MODULES): Add unictype/incb-all.
	* gnulib-m4/gnulib-cache.m4: Regenerated.
	* lib/version.c (_libunistring_unicode_version): Bump.
	* doc/unictype.texi (Other attributes): New section.
	* doc/unigbrk.texi (Grapheme cluster breaks in a string): Give some details
	about when the functions have limitations.
	* NEWS: Mention the change.

2024-01-30  Bruno Haible  <bruno@clisp.org>

	Update after gnulib changed.

2024-01-30  Bruno Haible  <bruno@clisp.org>

	doc: Improve documentation about meta-information.
	* doc/libunistring.texi (Include files): Fix documentation of
	_LIBUNISTRING_VERSION and _libunistring_version (incorrect since 2010-05-14).
	Add documentation of _libunistring_unicode_version.
	* NEWS: Mention _libunistring_unicode_version.

2024-01-29  Bruno Haible  <bruno@clisp.org>

	Add meta-information about the Unicode version.
	Suggested by Roger Crew <wrog@wrog.net> in
	<https://lists.gnu.org/archive/html/bug-libunistring/2023-08/msg00000.html>.

	* lib/unistring/version.in.h (_libunistring_unicode_version): New declaration.
	* lib/version.c (_libunistring_unicode_version): New variable.
	* woe32dll/unistring-exports.c: Export it.

2023-09-18  Bruno Haible  <bruno@clisp.org>

	Fix shared library support on Android.
	Patch from <https://savannah.gnu.org/patch/index.php?10393>.

	* m4/libtool.m4: On Android, fix library_names_spec and
	hardcode_libdir_flag_spec.

2023-09-16  Bruno Haible  <bruno@clisp.org>

	Fix a misnomer.
	* woe32dll/export.h: Update comment.
